Name:           libhttpserver
Version:        0.9.0
Release:        3%{?dist}
Summary:        Library embedding RESTful HTTP server functionality
License:        LGPLv2+
URL:            https://github.com/etr/libhttpserver
Source0:        https://github.com/etr/%{name}/archive/v%{version}.tar.gz
BuildRequires:  libmicrohttpd-devel >= 0.9.7
BuildRequires:  autoconf, automake, libtool
# make check dependencies:
BuildRequires:  libcurl-devel

%description
libhttpserver is a small C++ library for embedding RESTful HTTP server
functionality into applications.

%package        devel
Summary:        Development files for %{name}
Requires:       libmicrohttpd-devel%{?_isa} >= 0.9.7
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
libhttpserver is a small C++ library for embedding RESTful HTTP server
functionality into applications. This package contains development files
and headers.

%prep
%setup -q

%build
autoreconf -fiv
mkdir build
cd build
ln -s ../configure configure
%configure --srcdir=..
# Get a rid of unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}

%check
cd build
make check

%install
cd build
make install INSTALL='install -p' DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.*a' -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog LICENSE README.md
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/httpserver*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libhttpserver.pc

%changelog
* Wed Nov 11 2015 Šimon Lukašík <slukasik@redhat.com> - 0.9.0-3
- Rebuild because of broken dependencies (libmicrohttpd.so.11)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Šimon Lukašík <slukasik@redhat.com> - 0.9.0-1
- upgraded to the latest upstream version

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.7.1-5
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 02 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.1-2
- removed group tags
- added doc tag

* Sat Apr 05 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.1-1
- updated to the latest upstream
- changed license from LGPLv2 to LGPLv2+
- corrected release tag
- added check section
- libcurl-devel is dependency of the check section

* Wed Mar 12 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-4
- removed duplicate find command
- removed redundant configure options
- removed explicit requires on libmicrohttpd

* Mon Feb 24 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-3
- removed leading new line character
- added libmicrohttpd-devel to BuildRequires of base package
- removed libmicrohttpd from BuildRequires
- added arch specification to the Requires of libmicrohttpd-devel
- moved autoreconf to the build section
- use configure macro
- symlink configure script to allow build out of the source tree
- introduced parallel build
- removed static libraries from installation target
- removed clean section
- removed defattr specification

* Mon Feb 17 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-2
- added autotools build requires
- removed the vendor tag
- added the dist tag to the release

* Thu Feb 13 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-1
- First build for Fedora

